Bug 20434 - UNIMARC update from IFLA for existing Koha installations
Summary: UNIMARC update from IFLA for existing Koha installations
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Alex Arnaud
URL:
Keywords:
Depends on:
Blocks: 20424
  Show dependency treegraph
 
Reported: 2018-03-16 10:37 UTC by François Pichenot
Modified: 2019-10-28 09:10 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 20434: Update UNIMARC framework - defaults (1.29 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - authorised values (4.45 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - biblio (46.44 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - authtypes (1.85 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (default) (124.21 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (CLASS) (102.57 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (CO) (69.62 KB, patch)
2019-10-02 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (EXP) (100.40 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (FAM) (91.18 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (GENRE/FORM) (92.22 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NP) (72.81 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NTEXP) (106.49 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NTWORK) (105.97 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PA) (89.19 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PERS) (94.40 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PUB) (96.62 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SAUTTIT) (77.90 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SNC) (71.10 KB, patch)
2019-10-02 11:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SNG) (72.24 KB, patch)
2019-10-02 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (TM) (88.84 KB, patch)
2019-10-02 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (TU) (73.50 KB, patch)
2019-10-02 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (WORK) (101.62 KB, patch)
2019-10-02 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - translations (56.01 KB, patch)
2019-10-02 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - script (11.72 KB, patch)
2019-10-02 11:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Add UNIMARC field 214 and its subfields (8.90 KB, patch)
2019-10-02 12:44 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Add missing authority types (7.75 KB, patch)
2019-10-03 13:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Add missing fields (16.39 KB, patch)
2019-10-03 15:36 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - defaults (1.35 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - authorised values (4.50 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - biblio (46.49 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - authtypes (1.91 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (default) (124.27 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (CLASS) (102.62 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (CO) (69.68 KB, patch)
2019-10-04 08:45 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (EXP) (100.46 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (FAM) (91.24 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (GENRE/FORM) (92.28 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NP) (72.87 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NTEXP) (106.54 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NTWORK) (106.02 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PA) (89.25 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PERS) (94.46 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PUB) (96.67 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SAUTTIT) (77.95 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SNC) (71.16 KB, patch)
2019-10-04 08:46 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SNG) (72.29 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (TM) (88.90 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (TU) (73.55 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (WORK) (101.67 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - translations (56.07 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - script (11.78 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Add UNIMARC field 214 and its subfields (8.95 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Add missing authority types (7.80 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Add missing fields (16.45 KB, patch)
2019-10-04 08:47 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 20434: Add default authority type (2.36 KB, patch)
2019-10-14 07:17 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - defaults (1.40 KB, patch)
2019-10-14 10:05 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - authorised values (4.55 KB, patch)
2019-10-14 10:05 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - biblio (46.54 KB, patch)
2019-10-14 10:06 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - authtypes (1.96 KB, patch)
2019-10-14 10:06 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (default) (124.32 KB, patch)
2019-10-14 10:06 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (CLASS) (102.68 KB, patch)
2019-10-14 10:06 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (CO) (69.73 KB, patch)
2019-10-14 10:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (EXP) (100.51 KB, patch)
2019-10-14 10:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (FAM) (91.29 KB, patch)
2019-10-14 10:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (GENRE/FORM) (92.33 KB, patch)
2019-10-14 10:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NP) (72.92 KB, patch)
2019-10-14 10:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NTEXP) (106.59 KB, patch)
2019-10-14 10:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (NTWORK) (106.08 KB, patch)
2019-10-14 10:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PA) (89.30 KB, patch)
2019-10-14 10:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PERS) (94.51 KB, patch)
2019-10-14 10:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (PUB) (96.73 KB, patch)
2019-10-14 10:09 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SAUTTIT) (78.00 KB, patch)
2019-10-14 10:09 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SNC) (71.21 KB, patch)
2019-10-14 10:09 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (SNG) (72.35 KB, patch)
2019-10-14 10:09 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (TM) (88.95 KB, patch)
2019-10-14 10:10 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (TU) (73.61 KB, patch)
2019-10-14 10:10 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - auth (WORK) (101.73 KB, patch)
2019-10-14 10:10 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - translations (56.12 KB, patch)
2019-10-14 10:10 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Update UNIMARC framework - script (11.83 KB, patch)
2019-10-14 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Add UNIMARC field 214 and its subfields (9.00 KB, patch)
2019-10-14 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Add missing authority types (7.86 KB, patch)
2019-10-14 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Add missing fields (16.50 KB, patch)
2019-10-14 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20434: Add default authority type (2.39 KB, patch)
2019-10-14 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description François Pichenot 2018-03-16 10:37:39 UTC

    
Comment 1 Julian Maurice 2018-03-16 15:04:55 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2018-03-20 08:51:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-04-01 16:30:20 UTC
Hi Julian, 

this is an interesting approach.

Are you aware that we can currently already translate the SQL files for the frameworks using pootle?

For an example:
http://translate.koha-community.org/de/marc21/

Bernardo provides the auto-generated SQL files for creating patches for the web installer.

Could there be a way to bring this together? Use po files to create the .yml file?
Comment 4 Julian Maurice 2019-10-02 11:50:00 UTC
Created attachment 93415 [details] [review]
Bug 20434: Update UNIMARC framework - defaults
Comment 5 Julian Maurice 2019-10-02 11:50:06 UTC
Created attachment 93416 [details] [review]
Bug 20434: Update UNIMARC framework - authorised values
Comment 6 Julian Maurice 2019-10-02 11:50:24 UTC
Created attachment 93417 [details] [review]
Bug 20434: Update UNIMARC framework - biblio
Comment 7 Julian Maurice 2019-10-02 11:50:29 UTC
Created attachment 93418 [details] [review]
Bug 20434: Update UNIMARC framework - authtypes
Comment 8 Julian Maurice 2019-10-02 11:50:34 UTC
Created attachment 93419 [details] [review]
Bug 20434: Update UNIMARC framework - auth (default)
Comment 9 Julian Maurice 2019-10-02 11:50:49 UTC
Created attachment 93420 [details] [review]
Bug 20434: Update UNIMARC framework - auth (CLASS)
Comment 10 Julian Maurice 2019-10-02 11:50:57 UTC
Created attachment 93421 [details] [review]
Bug 20434: Update UNIMARC framework - auth (CO)
Comment 11 Julian Maurice 2019-10-02 11:51:00 UTC
Created attachment 93422 [details] [review]
Bug 20434: Update UNIMARC framework - auth (EXP)
Comment 12 Julian Maurice 2019-10-02 11:51:06 UTC
Created attachment 93423 [details] [review]
Bug 20434: Update UNIMARC framework - auth (FAM)
Comment 13 Julian Maurice 2019-10-02 11:51:10 UTC
Created attachment 93424 [details] [review]
Bug 20434: Update UNIMARC framework - auth (GENRE/FORM)
Comment 14 Julian Maurice 2019-10-02 11:51:15 UTC
Created attachment 93425 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NP)
Comment 15 Julian Maurice 2019-10-02 11:51:22 UTC
Created attachment 93426 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NTEXP)
Comment 16 Julian Maurice 2019-10-02 11:51:28 UTC
Created attachment 93427 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NTWORK)
Comment 17 Julian Maurice 2019-10-02 11:51:32 UTC
Created attachment 93428 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PA)
Comment 18 Julian Maurice 2019-10-02 11:51:35 UTC
Created attachment 93429 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PERS)
Comment 19 Julian Maurice 2019-10-02 11:51:42 UTC
Created attachment 93430 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PUB)
Comment 20 Julian Maurice 2019-10-02 11:51:49 UTC
Created attachment 93431 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SAUTTIT)
Comment 21 Julian Maurice 2019-10-02 11:51:55 UTC
Created attachment 93432 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SNC)
Comment 22 Julian Maurice 2019-10-02 11:52:03 UTC
Created attachment 93433 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SNG)
Comment 23 Julian Maurice 2019-10-02 11:52:08 UTC
Created attachment 93434 [details] [review]
Bug 20434: Update UNIMARC framework - auth (TM)
Comment 24 Julian Maurice 2019-10-02 11:52:15 UTC
Created attachment 93435 [details] [review]
Bug 20434: Update UNIMARC framework - auth (TU)
Comment 25 Julian Maurice 2019-10-02 11:52:21 UTC
Created attachment 93436 [details] [review]
Bug 20434: Update UNIMARC framework - auth (WORK)
Comment 26 Julian Maurice 2019-10-02 11:52:27 UTC
Created attachment 93437 [details] [review]
Bug 20434: Update UNIMARC framework - translations
Comment 27 Julian Maurice 2019-10-02 11:52:32 UTC
Created attachment 93438 [details] [review]
Bug 20434: Update UNIMARC framework - script

Test plan:
1. Take a look at files in misc/migration_tools/ifla/data. It
   contains all data that will be inserted into Koha. Its content is
   based on the previous patches.
2. Run the script misc/migration_tools/ifla/update.pl and verify
   that it effectively added the new fields, subfields, authorised
   values and authority types.
3. Run the script again and see that it doesn't update existing fields
4. Run with --force and verify that it update existing fields (you can
   modify unimarc_ifla.yml to see changes)
5. Run with --force --po-file misc/migration_tools/ifla/language/fr.po
   and verify that the labels are now in french

There is a POT file in misc/migration_tools/ifla/language/template.pot,
use it to create PO files for other languages.
Comment 28 Julian Maurice 2019-10-02 11:58:29 UTC
I split the big patch into smaller patches so that they can be attached on bugzilla.
Also, I converted the translations file from YAML to PO. Strings are in english by default, french translations are available as a PO file. So now, if needed, the POT file can be integrated into Pootle.
Comment 29 Julian Maurice 2019-10-02 12:44:42 UTC
Created attachment 93449 [details] [review]
Bug 20434: Add UNIMARC field 214 and its subfields
Comment 30 Koha Team University Lyon 3 2019-10-03 13:17:40 UTC
I have an error while executing misc/migration_tools/ifla/update.pl


DBD::mysql::st execute failed: Cannot add or update a child row: a foreign key c                                                       onstraint fails (`koha_kohadev`.`auth_tag_structure`, CONSTRAINT `auth_tag_struc                                                       ture_ibfk_1` FOREIGN KEY (`authtypecode`) REFERENCES `auth_types` (`authtypecode                                                       `) ON DELETE CASCADE ON UPDATE CASCADE) [for Statement "INSERT INTO `auth_tag_st                                                       ructure` ( `authorised_value`, `authtypecode`, `liblibrarian`, `libopac`, `manda                                                       tory`, `repeatable`, `tagfield`) VALUES ( ?, ?, ?, ?, ?, ?, ? )" with ParamValue                                                       s: 0=undef, 1="CO", 2="PPN", 3="", 4="0", 5="0", 6="009"] at /usr/share/perl5/DB                                                       Ix/Class/Storage/DBI.pm line 1832.
DBIx::Class::Storage::DBI::_dbh_execute(): Cannot add or update a child row: a f                                                       oreign key constraint fails (`koha_kohadev`.`auth_tag_structure`, CONSTRAINT `au                                                       th_tag_structure_ibfk_1` FOREIGN KEY (`authtypecode`) REFERENCES `auth_types` (`                                                       authtypecode`) ON DELETE CASCADE ON UPDATE CASCADE) at misc/migration_tools/ifla                                                       /update.pl line 285
Comment 31 Julian Maurice 2019-10-03 13:58:52 UTC
Created attachment 93614 [details] [review]
Bug 20434: Add missing authority types
Comment 32 Julian Maurice 2019-10-03 14:00:21 UTC
(In reply to Koha Team University Lyon 3 from comment #30)
> I have an error while executing misc/migration_tools/ifla/update.pl
The last patch should fix this. Please test again
Comment 33 Julian Maurice 2019-10-03 15:36:49 UTC
Created attachment 93658 [details] [review]
Bug 20434: Add missing fields

018 - [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note
Comment 34 Koha Team University Lyon 3 2019-10-04 08:45:34 UTC
Created attachment 93683 [details] [review]
Bug 20434: Update UNIMARC framework - defaults

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 35 Koha Team University Lyon 3 2019-10-04 08:45:38 UTC
Created attachment 93684 [details] [review]
Bug 20434: Update UNIMARC framework - authorised values

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 36 Koha Team University Lyon 3 2019-10-04 08:45:42 UTC
Created attachment 93685 [details] [review]
Bug 20434: Update UNIMARC framework - biblio

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 37 Koha Team University Lyon 3 2019-10-04 08:45:46 UTC
Created attachment 93686 [details] [review]
Bug 20434: Update UNIMARC framework - authtypes

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 38 Koha Team University Lyon 3 2019-10-04 08:45:51 UTC
Created attachment 93687 [details] [review]
Bug 20434: Update UNIMARC framework - auth (default)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 39 Koha Team University Lyon 3 2019-10-04 08:45:54 UTC
Created attachment 93688 [details] [review]
Bug 20434: Update UNIMARC framework - auth (CLASS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 40 Koha Team University Lyon 3 2019-10-04 08:45:58 UTC
Created attachment 93689 [details] [review]
Bug 20434: Update UNIMARC framework - auth (CO)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 41 Koha Team University Lyon 3 2019-10-04 08:46:02 UTC
Created attachment 93690 [details] [review]
Bug 20434: Update UNIMARC framework - auth (EXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 42 Koha Team University Lyon 3 2019-10-04 08:46:06 UTC
Created attachment 93691 [details] [review]
Bug 20434: Update UNIMARC framework - auth (FAM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 43 Koha Team University Lyon 3 2019-10-04 08:46:10 UTC
Created attachment 93692 [details] [review]
Bug 20434: Update UNIMARC framework - auth (GENRE/FORM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 44 Koha Team University Lyon 3 2019-10-04 08:46:14 UTC
Created attachment 93693 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 45 Koha Team University Lyon 3 2019-10-04 08:46:17 UTC
Created attachment 93694 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NTEXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 46 Koha Team University Lyon 3 2019-10-04 08:46:21 UTC
Created attachment 93695 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NTWORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 47 Koha Team University Lyon 3 2019-10-04 08:46:26 UTC
Created attachment 93696 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PA)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 48 Koha Team University Lyon 3 2019-10-04 08:46:40 UTC
Created attachment 93698 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PERS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 49 Koha Team University Lyon 3 2019-10-04 08:46:46 UTC
Created attachment 93701 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PUB)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 50 Koha Team University Lyon 3 2019-10-04 08:46:51 UTC
Created attachment 93702 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SAUTTIT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 51 Koha Team University Lyon 3 2019-10-04 08:46:55 UTC
Created attachment 93703 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SNC)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 52 Koha Team University Lyon 3 2019-10-04 08:47:02 UTC
Created attachment 93704 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SNG)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 53 Koha Team University Lyon 3 2019-10-04 08:47:07 UTC
Created attachment 93705 [details] [review]
Bug 20434: Update UNIMARC framework - auth (TM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 54 Koha Team University Lyon 3 2019-10-04 08:47:10 UTC
Created attachment 93706 [details] [review]
Bug 20434: Update UNIMARC framework - auth (TU)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 55 Koha Team University Lyon 3 2019-10-04 08:47:14 UTC
Created attachment 93707 [details] [review]
Bug 20434: Update UNIMARC framework - auth (WORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 56 Koha Team University Lyon 3 2019-10-04 08:47:17 UTC
Created attachment 93708 [details] [review]
Bug 20434: Update UNIMARC framework - translations

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 57 Koha Team University Lyon 3 2019-10-04 08:47:21 UTC
Created attachment 93709 [details] [review]
Bug 20434: Update UNIMARC framework - script

Test plan:
1. Take a look at files in misc/migration_tools/ifla/data. It
   contains all data that will be inserted into Koha. Its content is
   based on the previous patches.
2. Run the script misc/migration_tools/ifla/update.pl and verify
   that it effectively added the new fields, subfields, authorised
   values and authority types.
3. Run the script again and see that it doesn't update existing fields
4. Run with --force and verify that it update existing fields (you can
   modify unimarc_ifla.yml to see changes)
5. Run with --force --po-file misc/migration_tools/ifla/language/fr.po
   and verify that the labels are now in french

There is a POT file in misc/migration_tools/ifla/language/template.pot,
use it to create PO files for other languages.

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 58 Koha Team University Lyon 3 2019-10-04 08:47:24 UTC
Created attachment 93710 [details] [review]
Bug 20434: Add UNIMARC field 214 and its subfields

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 59 Koha Team University Lyon 3 2019-10-04 08:47:28 UTC
Created attachment 93711 [details] [review]
Bug 20434: Add missing authority types

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 60 Koha Team University Lyon 3 2019-10-04 08:47:31 UTC
Created attachment 93712 [details] [review]
Bug 20434: Add missing fields

018 - [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 61 Koha Team University Lyon 3 2019-10-04 09:03:08 UTC
I have followed the test plan and it works as expected.
1.I first launched the update.pl : it adds the new unimarc fields and subfields.
2. I modified one of the subfield added by the script in the default framework in Koha and launched the script again -> We can see in console that the field is not updated because it already exists
3. I launched the script with --force option : the field that I have changed is now updated by the script
4. I have launched the script with --force and -po options : the labels are now in french

Sonia
Comment 62 Alex Arnaud 2019-10-07 09:42:16 UTC
Update script fails on a SQL foreign key constraint if there is no default framework.

So the question is: Should we consider a DB without a default auth type as invalidd or should the script handle that case ?

I noticed that it's not possible to remove the default type via UI.
Comment 63 Julian Maurice 2019-10-14 07:17:31 UTC
Created attachment 94040 [details] [review]
Bug 20434: Add default authority type
Comment 64 Alex Arnaud 2019-10-14 10:05:45 UTC
Created attachment 94045 [details] [review]
Bug 20434: Update UNIMARC framework - defaults

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 65 Alex Arnaud 2019-10-14 10:05:55 UTC
Created attachment 94046 [details] [review]
Bug 20434: Update UNIMARC framework - authorised values

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 66 Alex Arnaud 2019-10-14 10:06:07 UTC
Created attachment 94047 [details] [review]
Bug 20434: Update UNIMARC framework - biblio

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 67 Alex Arnaud 2019-10-14 10:06:19 UTC
Created attachment 94048 [details] [review]
Bug 20434: Update UNIMARC framework - authtypes

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 68 Alex Arnaud 2019-10-14 10:06:34 UTC
Created attachment 94049 [details] [review]
Bug 20434: Update UNIMARC framework - auth (default)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 69 Alex Arnaud 2019-10-14 10:06:49 UTC
Created attachment 94050 [details] [review]
Bug 20434: Update UNIMARC framework - auth (CLASS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 70 Alex Arnaud 2019-10-14 10:07:03 UTC
Created attachment 94051 [details] [review]
Bug 20434: Update UNIMARC framework - auth (CO)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 71 Alex Arnaud 2019-10-14 10:07:17 UTC
Created attachment 94052 [details] [review]
Bug 20434: Update UNIMARC framework - auth (EXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 72 Alex Arnaud 2019-10-14 10:07:32 UTC
Created attachment 94053 [details] [review]
Bug 20434: Update UNIMARC framework - auth (FAM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 73 Alex Arnaud 2019-10-14 10:07:46 UTC
Created attachment 94054 [details] [review]
Bug 20434: Update UNIMARC framework - auth (GENRE/FORM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 74 Alex Arnaud 2019-10-14 10:08:01 UTC
Created attachment 94055 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 75 Alex Arnaud 2019-10-14 10:08:17 UTC
Created attachment 94056 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NTEXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 76 Alex Arnaud 2019-10-14 10:08:30 UTC
Created attachment 94057 [details] [review]
Bug 20434: Update UNIMARC framework - auth (NTWORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 77 Alex Arnaud 2019-10-14 10:08:44 UTC
Created attachment 94058 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PA)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 78 Alex Arnaud 2019-10-14 10:08:58 UTC
Created attachment 94059 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PERS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 79 Alex Arnaud 2019-10-14 10:09:11 UTC
Created attachment 94060 [details] [review]
Bug 20434: Update UNIMARC framework - auth (PUB)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 80 Alex Arnaud 2019-10-14 10:09:26 UTC
Created attachment 94061 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SAUTTIT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 81 Alex Arnaud 2019-10-14 10:09:39 UTC
Created attachment 94062 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SNC)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 82 Alex Arnaud 2019-10-14 10:09:52 UTC
Created attachment 94063 [details] [review]
Bug 20434: Update UNIMARC framework - auth (SNG)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 83 Alex Arnaud 2019-10-14 10:10:04 UTC
Created attachment 94064 [details] [review]
Bug 20434: Update UNIMARC framework - auth (TM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 84 Alex Arnaud 2019-10-14 10:10:17 UTC
Created attachment 94065 [details] [review]
Bug 20434: Update UNIMARC framework - auth (TU)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 85 Alex Arnaud 2019-10-14 10:10:32 UTC
Created attachment 94066 [details] [review]
Bug 20434: Update UNIMARC framework - auth (WORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 86 Alex Arnaud 2019-10-14 10:10:50 UTC
Created attachment 94067 [details] [review]
Bug 20434: Update UNIMARC framework - translations

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 87 Alex Arnaud 2019-10-14 10:11:05 UTC
Created attachment 94068 [details] [review]
Bug 20434: Update UNIMARC framework - script

Test plan:
1. Take a look at files in misc/migration_tools/ifla/data. It
   contains all data that will be inserted into Koha. Its content is
   based on the previous patches.
2. Run the script misc/migration_tools/ifla/update.pl and verify
   that it effectively added the new fields, subfields, authorised
   values and authority types.
3. Run the script again and see that it doesn't update existing fields
4. Run with --force and verify that it update existing fields (you can
   modify unimarc_ifla.yml to see changes)
5. Run with --force --po-file misc/migration_tools/ifla/language/fr.po
   and verify that the labels are now in french

There is a POT file in misc/migration_tools/ifla/language/template.pot,
use it to create PO files for other languages.

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 88 Alex Arnaud 2019-10-14 10:11:18 UTC
Created attachment 94069 [details] [review]
Bug 20434: Add UNIMARC field 214 and its subfields

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 89 Alex Arnaud 2019-10-14 10:11:33 UTC
Created attachment 94070 [details] [review]
Bug 20434: Add missing authority types

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 90 Alex Arnaud 2019-10-14 10:11:48 UTC
Created attachment 94071 [details] [review]
Bug 20434: Add missing fields

018 - [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 91 Alex Arnaud 2019-10-14 10:11:59 UTC
Created attachment 94072 [details] [review]
Bug 20434: Add default authority type

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 92 Martin Renvoize 2019-10-17 14:07:44 UTC
Nice work!

Pushed to master for 19.11.00